#32/64
%define debug_package	%{nil}
%define major		1
%define vernumber 094

Name:           higan
Version:        0.%{vernumber}
Release:        %mkrel 1
Summary:        Nintendo emulator focused on accuracy
License:        GPLv3
Packager:       Agent Smith (ruidobranco@yahoo.com.br)
Group:			Emulators
Url:            http://byuu.org/emulation/higan/
Source0:        higan_v%{vernumber}-source.tar.xz
Source100:      higan.rpmlintrc
Patch1:         Makefile_no_home_folder.patch

BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5gui5
BuildRequires:  %{_lib}alsa2-devel
BuildRequires:  %{_lib}ao-devel
BuildRequires:  mesa-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}openal-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}xv-devel
BuildRequires:  desktop-file-utils
BuildRoot: 	%_tmppath/%name-%version-buildroot

%description
%{name} is an emulator that began development 
on 14 October 2004. 
The purpose of the
emulator is a bit different from other emulators: 
it focuses on accuracy,
debugging functionality, and clean code.
The emulator does not focus on things that would 
hinder accuracy.
This includes speed and game-specific 
hacks for compatibility. 
As a result, the minimum system requirements 
for %{name} are quite high.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/libananke.so.%{major}
%{_libdir}/libananke.so
#-----------------------------------------------------------

%prep
%setup -qn %{name}_v%{vernumber}-source
%patch1 -p1

# linting
find . -type f -not -name \*.sh -exec chmod 644 {} \;
perl -pi -e 's,sudo,,g;' */Makefile
perl -pi -e 's,/usr/,\$(prefix)/,g;' shaders/Makefile target-ethos/Makefile
perl -pi -e 's,march=native,march=k8,g;' Makefile

%build
echo %{_lib}
export prefix=/usr
%{_libdir}/qt4/bin/moc -i -o phoenix/qt/platform.moc phoenix/qt/platform.moc.hpp
%make -C ananke
%make phoenix=qt

%install
mkdir -p %{buildroot}%{_libdir}
export prefix=%{buildroot}/usr

chmod -R o-w %{buildroot}/usr
(cd ananke && make path=%{buildroot}%{_libdir} install)
rm -f %{buildroot}%{_libdir}/libananke.so
ln -s libananke.so.%{major} %{buildroot}/%{_libdir}/libananke.so
make install
find %{buildroot}%{_datadir}/%{name} -type d -exec chmod 755 {} \;
find %{buildroot}%{_datadir}/%{name} -type f -exec chmod 644 {} \;

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu May 19 2016 Agent Smith  <ruidobranco@yahoo.com.br> higan-0.094-1pclos2016.src.rpm
- Created the package higan, with latest sources. 


